For the complete documentation index, see llms.txt. This page is also available as Markdown.

Address

Address autocomplete

post

Returns address suggestions from Google Places API

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Body
countrystringOptional
qstringOptional
sessiontokenstringOptional
Responses
200

OK

application/json
post/address/autocomplete
POST /address/autocomplete HTTP/1.1
Host: public-api.alternativepayments.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 51

{
  "country": "text",
  "q": "text",
  "sessiontoken": "text"
}
{
  "data": [
    {
      "description": "text",
      "place_id": "text",
      "structured_formatting": {
        "main_text": "text",
        "secondary_text": "text"
      }
    }
  ]
}

Get address details

post

Returns full address details from Google Places API

Authorizations
OAuth2clientCredentialsRequired
Token URL:
Body
idstringOptional
sessiontokenstringOptional
Responses
200

OK

application/json
post/address/details
POST /address/details HTTP/1.1
Host: public-api.alternativepayments.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 35

{
  "id": "text",
  "sessiontoken": "text"
}
{
  "data": {
    "result": {
      "address_components": [
        {
          "long_name": "text",
          "short_name": "text",
          "types": [
            "text"
          ]
        }
      ],
      "name": "text"
    }
  }
}

Last updated

Was this helpful?